/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-03-27
 * 描述            ：岗位交接班点检记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Shift.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Shift.mapper.MesShiftDCheckMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_SHIFT_D_CHECK", namespace=MesShiftDCheckMapper.class)
public class MesShiftDCheck extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业日期
	 */ 
	@Id
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（1晚、2白、3中）
	 */ 
	@Id
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 点检项目代码
	 */ 
	@Id
	private String check_item_code;
	public String getCheck_item_code() {
		return this.check_item_code;
	}
	public void setCheck_item_code(String check_item_code) {
		this.check_item_code = check_item_code;
	}

	/** 
	 * 点检项目名称
	 */ 
	@Column
	private String check_item_name;
	public String getCheck_item_name() {
		return this.check_item_name;
	}
	public void setCheck_item_name(String check_item_name) {
		this.check_item_name = check_item_name;
	}

	/** 
	 * 点检项目类别编码
	 */ 
	@Column
	private String check_item_type_c;
	public String getCheck_item_type_c() {
		return this.check_item_type_c;
	}
	public void setCheck_item_type_c(String check_item_type_c) {
		this.check_item_type_c = check_item_type_c;
	}

	/** 
	 * 点检项目类别名称
	 */ 
	@Column
	private String check_item_type_n;
	public String getCheck_item_type_n() {
		return this.check_item_type_n;
	}
	public void setCheck_item_type_n(String check_item_type_n) {
		this.check_item_type_n = check_item_type_n;
	}

	/** 
	 * 点检结果（1正常、0异常）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 异常说明
	 */ 
	@Column
	private String check_desc;
	public String getCheck_desc() {
		return this.check_desc;
	}
	public void setCheck_desc(String check_desc) {
		this.check_desc = check_desc;
	}

	/** 
	 * 显示顺序
	 */ 
	@Column
	private Long display_order;
	public Long getDisplay_order() {
		return this.display_order;
	}
	public void setDisplay_order(Long display_order) {
		this.display_order = display_order;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
